Page MenuHomePhabricator

Can't update l10n cache
Closed, ResolvedPublic

Description

krenair@tin:/srv/mediawiki-staging$ sudo -u l10nupdate mwscript rebuildLocalisationCache.php test2wiki --lang=en
Rebuilding en...

Warning: dba_open(/srv/mediawiki-staging/php-1.25wmf21/cache/l10n/l10n_cache-en.cdb.tmp.1906722563): failed to open stream: Permission denied in /srv/mediawiki-staging/multiversion/vendor/wikimedia/cdb/src/Writer/DBA.php on line 38
[4f0b3aef] [no req]   MWException from line 1304 of /srv/mediawiki-staging/php-1.25wmf21/includes/cache/LocalisationCache.php: Unable to open CDB file for write "/srv/mediawiki-staging/php-1.25wmf21/cache/l10n/l10n_cache-en.cdb"
Backtrace:
#0 /srv/mediawiki-staging/php-1.25wmf21/includes/cache/LocalisationCache.php(1007): LCStoreCDB->startWrite(string)
#1 /srv/mediawiki-staging/php-1.25wmf21/includes/cache/LocalisationCache.php(1437): LocalisationCache->recache(string)
#2 /srv/mediawiki-staging/php-1.25wmf21/maintenance/rebuildLocalisationCache.php(162): LocalisationCacheBulkLoad->recache(string)
#3 /srv/mediawiki-staging/php-1.25wmf21/maintenance/rebuildLocalisationCache.php(129): RebuildLocalisationCache->doRebuild(array, LocalisationCacheBulkLoad, boolean)
#4 /srv/mediawiki-staging/php-1.25wmf21/maintenance/doMaintenance.php(103): RebuildLocalisationCache->execute()
#5 /srv/mediawiki-staging/php-1.25wmf21/maintenance/rebuildLocalisationCache.php(181): require_once(string)
#6 /srv/mediawiki-staging/multiversion/MWScript.php(97): require_once(string)
#7 {main}

Event Timeline

Krenair created this task.Mar 16 2015, 9:02 PM
Krenair raised the priority of this task from to Unbreak Now!.
Krenair updated the task description. (Show Details)
Krenair added a project: Deployments.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2015, 9:02 PM
greg assigned this task to tstarling.Mar 16 2015, 9:11 PM
greg set Security to None.

Change 197245 had a related patch set uploaded (by Tim Starling):
Fix exit code from rebuildLocalisationCache.php

https://gerrit.wikimedia.org/r/197245

Change 197245 merged by jenkins-bot:
Fix exit code from rebuildLocalisationCache.php

https://gerrit.wikimedia.org/r/197245

greg added a subscriber: greg.Mar 18 2015, 3:50 PM

I presume this is done/fixed now?

greg moved this task from To Triage to In-progress on the Deployments board.Mar 18 2015, 3:50 PM
bd808 closed this task as Resolved.Mar 18 2015, 6:26 PM

I presume this is done/fixed now?

Yup. The underlying problem was fixed with https://gerrit.wikimedia.org/r/#/c/197262/ and the patch in https://gerrit.wikimedia.org/r/197245 should let us see this error in scap if it somehow pops up again.

greg moved this task from In-progress to Done on the Deployments board.Mar 18 2015, 6:36 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Mar 24 2015, 11:05 PM